Create a Verification request signer
Creates a Verification request signer.
- Only available in implementations using unmanaged (external) Verifier root CA certificates.
- A maximum of five Verification request signers can be created per tenant.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>application/json- body
Request payload for creating a Verification request signer using an unmanaged (external) Verifier root CA certificate.
caId*stringInternal identifier of the Verifier root CA certificate that will be used for signing the Verification request signer.
- Must be an unmanaged (external) Verifier root CA certificate.
uuidcaType?"external"Indicates the source of the verifier root CA certificate. Set to external if the verifier root CA certificate is managed outside of MATTR (e.g., using your own PKI).
"external"Verification request signer created
application/json- response
Verification request signer before a Verification Request Signer Certificate (VRSC) has been uploaded. Includes the Certificate Signing Request (CSR).
id*stringEach Verification request signer will have a unique identifier which must be provided when using this Verification request signer to sign a verification request.
uuidcsrPem*stringThe X.509 Certificate Signing Request (CSR) in PEM format, base64 encoded. Use this CSR to generate a valid certificate, then update the Verification request signer with the resulting certificate. If caType is apple, upload the csrPem to Apple Business Connect to issue a certificatePem.
caId*stringUnique identifier of the Verifier root CA certificate used to sign the Verification request signer.
uuidactive*falseIndicates if the Verifier request signer is active.
- Only active Verification request signers can be used to sign Verification requests.
- Verification request signers are created as inactive by default.
falsecaType*VerifierSignerCaTypeSpecifies the type of certificate authority for the verifier root certificate.
- Set to
mattrif the certificate is managed by MATTR. - Set to
appleif it is an Apple Business Connect certificate. - Set to
externalif the certificate is managed outside of MATTR (e.g., using your own PKI).
"mattr""apple""external"curl -X POST "https://example.com/v2/presentations/certificates/verifier-signers" \ -H "Content-Type: application/json" \ -d '{ "caId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2" }'{ "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "csrPem": "-----BEGIN CERTIFICATE REQUEST-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE REQUEST-----", "caId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2", "active": false, "caType": "mattr"}How would you rate this page?